epp_Service (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_Service class

### org.openrtk.idl.epp0604

# Class epp_Service

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_Service`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Service`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains service object or custom service object extensions supported by the server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_Service.java,v 1.1 2003/03/21 15:54:28 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:54:28 $

See Also:
  `epp_LoginReq`, `epp_Greeting`

  ## Field Summary
  `String` | `m_name` The name of the object to be managed by the server.
  `String` | `m_schema_location` The xml schema location of the object.
  `String` | `m_xmlns` The xml namespace of the object.

  ## Constructor Summary
  `epp_Service()` Empty constructor
  `epp_Service(String _m_name, String _m_xmlns, String _m_schema_location)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getName()` Accessor method for the name of the object to be managed by the server
  `String` | `getSchemaLocation()` Accessor method for the xml schema location of the object
  `String` | `getXmlns()` Accessor method for the xml namespace of the object
  `void` | `setName(String value)` Accessor method for the name of the object to be managed by the server
  `void` | `setSchemaLocation(String value)` Accessor method for the xml schema location of the object
  `void` | `setXmlns(String value)` Accessor method for the xml namespace of the object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_name

    public String m_name

> The name of the object to be managed by the server.
> See Also:
>   `setName(String)`, `getName()`

### m_schema_location

    public String m_schema_location

> The xml schema location of the object.
> See Also:
>   `setSchemaLocation(String)`, `getSchemaLocation()`

### m_xmlns

    public String m_xmlns

> The xml namespace of the object.
> See Also:
>   `setXmlns(String)`, `getXmlns()`

## Constructor Details

### epp_Service

    public epp_Service()

> Empty constructor

### epp_Service

    public epp_Service(String _m_name,
                       String _m_xmlns,
                       String _m_schema_location)

> The constructor with initializing variables.
> Parameters:
>   `_m_name` - The name of the object to be managed by the server
>   `_m_xmlns` - The xml namespace of the object
>   `_m_schema_location` - The xml schema location of the object

## Method Details

### getName

    public String getName()

> Accessor method for the name of the object to be managed by the server
> Returns:
>   The object name
> See Also:
>   `m_name`

### getSchemaLocation

    public String getSchemaLocation()

> Accessor method for the xml schema location of the object
> Returns:
>   The xml schema location
> See Also:
>   `m_schema_location`

### getXmlns

    public String getXmlns()

> Accessor method for the xml namespace of the object
> Returns:
>   The xml namespace of the object
> See Also:
>   `m_xmlns`

### setName

    public void setName(String value)

> Accessor method for the name of the object to be managed by the server
> Parameters:
>   `value` - The object name
> See Also:
>   `m_name`

### setSchemaLocation

    public void setSchemaLocation(String value)

> Accessor method for the xml schema location of the object
> Parameters:
>   `value` - The xml schema location
> See Also:
>   `m_schema_location`

### setXmlns

    public void setXmlns(String value)

> Accessor method for the xml namespace of the object
> Parameters:
>   `value` - The xml namespace of the object
> See Also:
>   `m_xmlns`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS